# Patterns

## CLI Arguments

### Source Pattern

Choose the image or audio pattern.

Argument: `-s/--source-pattern`

Default: `None`

Example: `--source-pattern sources\*.jpg`

### Target Pattern

Choose the image or video pattern.

Argument: `-t/--target-pattern`

Default: `None`

Example: `--target-pattern targets\*.mp4`

### Output Pattern

Specify the image or video pattern.

Argument: `-o/--output-pattern`

Default: `None`

Replacements:

* `source_name`
* `target_name`
* `target_extension`
* `index`

Example: `--output-pattern outputs\{index}.{target_extension}`

## Default Overrides

Modify the `facefusion.ini` file to override the defaults.

```ini
[patterns]
source_pattern = sources\*.jpg
target_pattern = targets\*.mp4
output_pattern = outputs\{index}.{target_extension}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.facefusion.io/usage/cli-arguments/patterns.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
